package com.huimv.wine.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class KeyUrlConfig {
    @Value("${config.server_private}")
    private String pair1PrivateUrl;

    @Value("${config.server_public}")
    private String pair1PublicUrl;

    @Value("${config.client_private}")
    private String pair2PrivateUrl;

    @Value("${config.client_public}")
    private String pair2PublicUrl;
}
