/*
package com.huimv.wine.config;

import org.springframework.stereotype.Component;

@Component
public class WebSocketAPI extends TextWebSocketHandler {
    @Override //该方法会在websocket连接成功后被调用
    public void afterConnectionEstablished(WebSocketSession session) throws Exception {
        //WebSocketSession是websocket连接对应的会话
        System.out.println("建立连接了");
    }
    @Override //该方法是在websocket收到消息的时候自动调用
    protected void handleTextMessage(WebSocketSession session, TextMessage message) throws Exception {
        //message 为收到的消息
        System.out.println("发送消息："+message.toString());
        //session是个会话，里面记录了通信双方,通过session对象调用send方法实现服务器推送消息
        session.sendMessage(message);
        message.getPayload(); //获取的message字符串
    }
    @Override //该方法是在websocket连接出现异常的时候自动调用的
    public void handleTransportError(WebSocketSession session, Throwable exception) throws Exception {
        //exception记录了异常信息
        System.out.println("连接出现异常了");
    }
    @Override //该方法是在websocket连接关闭后自动调用的
    public void afterConnectionClosed(WebSocketSession session, CloseStatus status) throws Exception {
        //status 为关闭的状态
        System.out.println("连接关闭了");
    }
}*/
