package com.huimv.wine.mapper;

import com.huimv.wine.entity.Wine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.wine.entity.vo.WineWithIdNameVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 酒 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
public interface WineMapper extends BaseMapper<Wine> {

    Wine selectWineById(@Param(value = "id")Integer id);

    List<WineWithIdNameVo> WinesQueryByIdOrName(String like);
}
